package strickling.utils;

/*****************************************************************************\
 *
 *  Copyright 2019 Dr. Wolfgang Strickling
 *  published under  GNU GPL 3
 *
 *   This file is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 \*****************************************************************************/
 

public class GeoRecord {
	public String 
	       localityName, 
	          dependentLocalityName, 
	       thoroughFareName,
	       administrativeAreaName, 
	          subAdministrativeAreaName,
	       countryName, countryNameCode,
	       address,
		   resultCode;
	public double lon, lat;  // in degrees, West = negative
	
    public  static final double  ERROR_LAT = -999.9;

	public GeoRecord (){
	       localityName = dependentLocalityName = 
	       thoroughFareName =
	       administrativeAreaName = subAdministrativeAreaName =
	       countryName = countryNameCode =
	       address =
		   resultCode = "";
	       lon = lat = ERROR_LAT;
	}
	
	public GeoRecord (double lat, double lon){
	       localityName = dependentLocalityName = 
	       thoroughFareName =
	       administrativeAreaName = subAdministrativeAreaName =
	       countryName = countryNameCode =
	       address =
		   resultCode = "";
	       this.lon = lon;
	       this.lat = lat;
	}
}
